libio-compress-perl_2.084-1_all.deb


Advertisement

Description

libio-compress-perl - bundle of IO::Compress modules

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libio-compress-perl_2.084-1_all.deb
Package name libio-compress-perl
Package version 2.084
Package release 1
Package architecture all
Package type deb
Category devel::lang:perl devel::library implemented-in::perl perl role::devel-lib use::compressing
Homepage https://metacpan.org/release/IO-Compress
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 223.44 KB
Installed size 836.00 KB
This package contains the following IO::Compress and IO::Uncompress modules:
- Compress::Zlib
- IO::Compress::Base
- IO::Compress::Bzip2
- IO::Compress::Deflate
- IO::Compress::Gzip
- IO::Compress::RawDeflate
- IO::Compress::Zip
- IO::Uncompress::Base
- IO::Uncompress::Bunzip2
- IO::Uncompress::Gunzip
- IO::Uncompress::Inflate
- IO::Uncompress::RawInflate
- IO::Uncompress::Unzip
Compress::Zlib is a Perl external module which provides an interface to
the info-zip zlib compression library. zlib is a general purpose
compression library.
Some of the features provided by Compress::Zlib include:
* in-memory compression and decompression
* read and write gzip (.gz) files directly.
IO::Compress::Bunzip2 and IO::Uncompress::Bunzip2 provide a Perl interface
that allows transparent reading and writing bzip2 compressed data to files or
buffers.
IO::Compress::Base is the base class for all IO::Compress and IO::Uncompress
modules. It is not intended for direct use in application code. Its sole
purpose is to be sub-classed by IO::Compress modules.

Alternatives

Package Version Architecture Repository
libio-compress-perl_2.084-1_all.deb 2.084 all Debian Main
libio-compress-perl - - -

Requires

Name Value
libcompress-raw-bzip2-perl >= 2.084
libcompress-raw-zlib-perl >= 2.084
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libio-compress-perl_2.084-1_all.deb
Source Package libio-compress-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libio-compress-perl deb package:
    # sudo apt-get install libio-compress-perl

Files

Path
/usr/bin/zipdetails
/usr/share/doc/libio-compress-perl/changelog.Debian.gz
/usr/share/doc/libio-compress-perl/changelog.gz
/usr/share/doc/libio-compress-perl/copyright
/usr/share/doc/libio-compress-perl/examples/compress-zlib/filtdef
/usr/share/doc/libio-compress-perl/examples/compress-zlib/filtinf
/usr/share/doc/libio-compress-perl/examples/compress-zlib/gzcat
/usr/share/doc/libio-compress-perl/examples/compress-zlib/gzgrep
/usr/share/doc/libio-compress-perl/examples/compress-zlib/gzstream
/usr/share/doc/libio-compress-perl/examples/io/anycat
/usr/share/doc/libio-compress-perl/examples/io/bzip2/bzcat
/usr/share/doc/libio-compress-perl/examples/io/bzip2/bzgrep
/usr/share/doc/libio-compress-perl/examples/io/bzip2/bzstream
/usr/share/doc/libio-compress-perl/examples/io/gzip/gzappend
/usr/share/doc/libio-compress-perl/examples/io/gzip/gzcat
/usr/share/doc/libio-compress-perl/examples/io/gzip/gzgrep
/usr/share/doc/libio-compress-perl/examples/io/gzip/gzstream
/usr/share/lintian/overrides/libio-compress-perl
/usr/share/man/man1/zipdetails.1p.gz
/usr/share/man/man3/Compress::Zlib.3pm.gz
/usr/share/man/man3/File::GlobMapper.3pm.gz
/usr/share/man/man3/IO::Compress::Base.3pm.gz
/usr/share/man/man3/IO::Compress::Bzip2.3pm.gz
/usr/share/man/man3/IO::Compress::Deflate.3pm.gz
/usr/share/man/man3/IO::Compress::FAQ.3pm.gz
/usr/share/man/man3/IO::Compress::Gzip.3pm.gz
/usr/share/man/man3/IO::Compress::RawDeflate.3pm.gz
/usr/share/man/man3/IO::Compress::Zip.3pm.gz
/usr/share/man/man3/IO::Uncompress::AnyInflate.3pm.gz
/usr/share/man/man3/IO::Uncompress::AnyUncompress.3pm.gz
/usr/share/man/man3/IO::Uncompress::Base.3pm.gz
/usr/share/man/man3/IO::Uncompress::Bunzip2.3pm.gz
/usr/share/man/man3/IO::Uncompress::Gunzip.3pm.gz
/usr/share/man/man3/IO::Uncompress::Inflate.3pm.gz
/usr/share/man/man3/IO::Uncompress::RawInflate.3pm.gz
/usr/share/man/man3/IO::Uncompress::Unzip.3pm.gz
/usr/share/perl5/Compress/Zlib.pm
/usr/share/perl5/File/GlobMapper.pm
/usr/share/perl5/IO/Compress/Base.pm
/usr/share/perl5/IO/Compress/Bzip2.pm
/usr/share/perl5/IO/Compress/Deflate.pm
/usr/share/perl5/IO/Compress/FAQ.pod
/usr/share/perl5/IO/Compress/Gzip.pm
/usr/share/perl5/IO/Compress/RawDeflate.pm
/usr/share/perl5/IO/Compress/Zip.pm
/usr/share/perl5/IO/Compress/Adapter/Bzip2.pm
/usr/share/perl5/IO/Compress/Adapter/Deflate.pm
/usr/share/perl5/IO/Compress/Adapter/Identity.pm
/usr/share/perl5/IO/Compress/Base/Common.pm
/usr/share/perl5/IO/Compress/Gzip/Constants.pm
/usr/share/perl5/IO/Compress/Zip/Constants.pm
/usr/share/perl5/IO/Compress/Zlib/Constants.pm
/usr/share/perl5/IO/Compress/Zlib/Extra.pm
/usr/share/perl5/IO/Uncompress/AnyInflate.pm
/usr/share/perl5/IO/Uncompress/AnyUncompress.pm
/usr/share/perl5/IO/Uncompress/Base.pm
/usr/share/perl5/IO/Uncompress/Bunzip2.pm
/usr/share/perl5/IO/Uncompress/Gunzip.pm
/usr/share/perl5/IO/Uncompress/Inflate.pm
/usr/share/perl5/IO/Uncompress/RawInflate.pm
/usr/share/perl5/IO/Uncompress/Unzip.pm
/usr/share/perl5/IO/Uncompress/Adapter/Bunzip2.pm
/usr/share/perl5/IO/Uncompress/Adapter/Identity.pm
/usr/share/perl5/IO/Uncompress/Adapter/Inflate.pm

Changelog

2019-01-12 - gregor herrmann <gregoa@debian.org>
libio-compress-perl (2.084-1) unstable; urgency=medium
* Import upstream version 2.084.
* Update years of upstream and packaging copyright.
* Bump versioned build dependencies.
2019-01-02 - Xavier Guimard <yadd@debian.org>
libio-compress-perl (2.083-1) unstable; urgency=medium
* Email change: Xavier Guimard -> yadd@debian.org
* Import upstream version 2.083
* Bump debhelper compatibility level to 11
* Declare compliance with policy 4.3.0
* Update dependencies versions (libcompress-raw-bzip2-perl and
libcompress-raw-zlib-perl)
2018-04-15 - Xavier Guimard <x.guimard@free.fr>
libio-compress-perl (2.081-1) unstable; urgency=medium
[ Alex Muntada ]
* Remove inactive pkg-perl members from Uploaders.
[ Salvatore Bonaccorso ]
* Update Vcs-* headers for switch to salsa.debian.org
[ Xavier Guimard ]
* Import upstream version 2.081
* Declare compliance with Debian Policy 4.1.4
* Update Compress::Zlib and Compress::Bzip2 version dependencies
* Update copyright years
2017-06-18 - gregor herrmann <gregoa@debian.org>
libio-compress-perl (2.074-1) unstable; urgency=medium
[ gregor herrmann ]
* Rename autopkgtest configuration file.
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
* Remove Jonathan Yu from Uploaders. Thanks for your work!
* Remove Ryan Niebur from Uploaders. Thanks for your work!
[ Nick Morrott ]
* New upstream version 2.070 (Closes: #839208)
* debian/copyright: update copyright years
* debian/control: declare compliance with Debian Policy 3.9.8
* debian/control: refresh build-dependencies
* debian/upstream/metadata: add Bug-* fields
* Add debian/libio-compress-perl.lintian-overrides
[ gregor herrmann ]
* Import upstream version 2.074
* Set TEST_SKIP_VERSION_CHECK=1 for autopkgtest as well.
* Update years of upstream and packaging copyright.
* debian/control: bump versioned build dependencies.
* Drop Breaks/Replaces against ancient packages which are not even in
oldoldstable anymore. Also drop the Provides for them; there are still
consumers but the same virtual packages are provided by src:perl.
* Add debian/tests/pkg-perl/use-name to activate autopkgtest's use.t.
2015-10-05 - gregor herrmann <gregoa@debian.org>
libio-compress-perl (2.069-1) unstable; urgency=medium
* Import upstream version 2.069
* Update years of upstream copyright.
* Bump versioned (build) dependencies.
* Bump debhelper compatibility level to 9.
2015-07-01 - gregor herrmann <gregoa@debian.org>
libio-compress-perl (2.068-2) unstable; urgency=medium
* Divert away /usr/bin/zipdetails from perl core and its manpage.
(Closes: #790666)
2015-05-06 - gregor herrmann <gregoa@debian.org>
libio-compress-perl (2.068-1) unstable; urgency=medium
* Add debian/upstream/metadata
* Import upstream version 2.068
* Update years of packaging copyright.
* Bump versioned (build) dependencies.
2014-09-23 - gregor herrmann <gregoa@debian.org>
libio-compress-perl (2.066-1) unstable; urgency=medium
[ gregor herrmann ]
* debian/control: remove Nicholas Bamber from Uploaders on request of
the MIA team.
* Strip trailing slash from metacpan URLs.
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ gregor herrmann ]
* New upstream release.
Fixes "IO::Uncompress::Gunzip: Can no longer gunzip to in-memory file
handle" (Closes: #762486)
* Bump versioned (build) dependencies.
* Declare compliance with Debian Policy 3.9.6.
* Mark package as autopkgtest-able.
2014-02-12 - gregor herrmann <gregoa@debian.org>
libio-compress-perl (2.064-1) unstable; urgency=medium
* New upstream release.
* Update years of copyright.
* Bump versioned build dependencies.

See Also

Package Description
libio-digest-perl_0.11-1_all.deb Perl module to calculate digests while reading or writing
libio-dirent-perl_0.05-1+b7_i386.deb Perl module for accessing dirent structs returned by readdir
libio-epoll-perl_0.03-2+b6_i386.deb Perl interface to the Epoll IO Multiplexing subsystem
libio-event-perl_0.813-2_all.deb Perl module that ties filehandles for nonblocking IO with object callbacks
libio-fdpass-perl_1.2-1+b1_i386.deb module to pass a file descriptor over a socket
libio-file-withpath-perl_0.09-1_all.deb IO::File extension that keeps the pathname
libio-handle-util-perl_0.01-2_all.deb module providing helper functions for IO::Handle
libio-html-perl_1.001-1_all.deb open an HTML file with automatic charset detection
libio-interactive-perl_1.022-1_all.deb utility module for interactive I/O
libio-interface-perl_1.09-1+b5_i386.deb socket methods to get/set interface characteristics
libio-lcdproc-perl_0.037-1_all.deb Perl extension to connect to a LCD display through lcdproc
libio-lockedfile-perl_0.23+d030220-4_all.deb module providing object methods for locking files
libio-multiplex-perl_1.16-1_all.deb object-oriented interface to select() for Perl
libio-pager-perl_0.40-1_all.deb module to select a pager and pipe text to it
libio-pipely-perl_0.005-1_all.deb portable way to create pipe() or pipe-like handles
Advertisement
Advertisement